Changeset 13031 for trunk/configure.ac


Ignore:
Timestamp:
Oct 25, 2011, 4:37:13 PM (10 years ago)
Author:
jordan
Message:

(trunk) #4588 "Manual selection of gtk version at configure time" -- fixed.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure.ac

    r13010 r13031  
    322322            [with_gtk=$withval],
    323323            [with_gtk=$with_gtk_default])
     324if test "x$with_gtk" = "x2" ; then
     325    PKG_CHECK_EXISTS([gtk+-2.0 >= $GTK2_MINIMUM],[gtk_version="2" with_gtk="yes"],[gtk_version="none" with_gtk="no"])
     326fi
     327if test "x$with_gtk" = "x3" ; then
     328    PKG_CHECK_EXISTS([gtk+-3.0 >= $GTK3_MINIMUM],[gtk_version="3" with_gtk="yes"],[gtk_version="none" with_gtk="no"])
     329fi
    324330AC_ARG_ENABLE([nls],
    325331              [AS_HELP_STRING([--enable-nls],[enable native language support])],,
     
    523529   Build Command-Line client:                         ${build_cli}
    524530
    525    Build GTK+ client:                                 ${with_gtk}
     531   Build GTK+ client:                                 ${with_gtk} (GTK+ $gtk_version)
    526532      * libappindicator for an Ubuntu-style tray:     ${use_libappindicator}
    527533
Note: See TracChangeset for help on using the changeset viewer.